
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MongoDB 安全 checklist 及最优配置模板 / iVAN</title>

    <meta name="description" content="MongoDB 安全 checklist 及最优配置模板 云数据库 MongoDB 版 基于飞天分布式系统和高性能存储,提供三节点副本集的高可用架构,容灾切换,故障迁移完全透明化.并提供专业的数据库在线扩容.备份回滚.性能优化等解决方案. 了解更多 最近 MongoDB &quot;赎金事件&quot;闹得沸沸扬扬,不少公网上裸奔的 MongoDB 中招,有兴趣的同学可以看下耗子叔写的从 MONGODB &quot;赎金事件&quot; 看安全问题,中招的主要原因还是因为用户的安全意识比较薄弱,部署的 MongoDB 完全没有任何安全防护,可以通过公网 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MongoDB 安全 checklist 及最优配置模板</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19mOGFkZGZjY2RkMWFkN2Q0NmNjZTZmYzNjNTYzNmEwYi5wbmc=.jpg">云数据库 MongoDB 版</p>
<p>基于飞天分布式系统和高性能存储，提供三节点副本集的高可用架构，容灾切换，故障迁移完全透明化。并提供专业的数据库在线扩容、备份回滚、性能优化等解决方案。</p>
<p>了解更多</p>
<p>最近 MongoDB “赎金事件”闹得沸沸扬扬，不少公网上裸奔的 MongoDB 中招，有兴趣的同学可以看下耗子叔写的<a href="http://coolshell.cn/articles/17607.html" rel="external nofollow noreferrer">从 MONGODB “赎金事件” 看安全问题</a>，中招的主要原因还是因为用户的安全意识比较薄弱，部署的 MongoDB 完全没有任何安全防护，可以<code>通过公网访问，并且没有开启鉴权</code>。</p>
<p>MongoDB 官方文档在安全方面做了很多总结，出了一个<a href="https://docs.mongodb.com/v3.2/administration/security-checklist/" rel="external nofollow noreferrer">MongoDB Security Checklist</a>，但从这次中招的规模来看，大部分用户并没有认真看过这个文档，这次事件也刚好是一个数据库安全科普的好机会，希望所有的数据库用户都要重视自己的数据安全。</p>
<p>MongoDB 安全 Checklist，用户可以做的安全措施包括</p>
<ul>
<li>开启鉴权 <a href="https://docs.mongodb.com/v3.2/core/security-internal-authentication/" rel="external nofollow noreferrer">Enable Auth</a>，并给所有需要访问MongoDB数据库的用户配置合适的权限（权限最小化原则）</li>
<li>限制网络访问，只允许从安全的网络环境访问MongoDB，可以使用系统防火墙，或 MongoDB 自身的配置项<a href="https://docs.mongodb.com/v3.2/reference/configuration-options/#net.bindIp" rel="external nofollow noreferrer">bindIp</a>来限制访问来源</li>
<li>开启访问审计，记录所有的用户访问行为，万一出问题时有据可查</li>
<li>限制MongoDB进程的权限，尽量创建单独的用户来管理MongoDB进程，不要用root帐号启动</li>
<li><a href="https://docs.mongodb.com/v3.2/tutorial/configure-ssl/" rel="external nofollow noreferrer">访问链路加密</a>、<a href="https://docs.mongodb.com/v3.2/core/security-encryption-at-rest/" rel="external nofollow noreferrer">存储的数据加密</a>，不过绝大部分场景还不需要这么高的安全级别，实在需要也可以配置上，会对性能有一定影响</li>
<li>...</li>
</ul>
<p>为了方便用户快速进行合理的配置，给大家分享一个阿里云数据库MongoDB版的配置模板（为了简化，稍有改动）。</p>
<p>数据组织，一个mongod进程对应一个工作目录，包含data、etc、logs 3个目录，分别存储数据、配置、以及运行日志</p>
<pre><code>|-- $mymongo
   |-- data
      -- <em>*</em>
   |-- etc
      -- keyfile
      -- mongod.conf
   |-- logs
      -- mongod.pid
      -- mongod.log
</code></pre>
<p>mongod.conf内容 （将$mymongo替换成你的工作目录）</p>
<pre><code>systemLog:
  destination: file
  logAppend: true
  logRotate: rename
  path: $mymongo/logs/mongod.log
  timeStampFormat: iso8601-local
  traceAllExceptions: false
  verbosity: 0

processManagement:
  fork: true
  pidFilePath: $mymongo/logs/mongod.pid

net:
  #bindIp: 127.0.0.1
  port: 3001
  http:
    enabled: false
  maxIncomingConnections: 1000
  unixDomainSocket:
    enabled: false

operationProfiling:
  mode: slowOp
  slowOpThresholdMs: 100    

security:
  authorization: enabled
  keyFile: $mymongo/etc/keyfile
  javascriptEnabled: false

replication:
  oplogSizeMB: 5120
  replSetName: myreplset

storage:
  dbPath: $mymongo/data
  directoryPerDB: true
  syncPeriodSecs: 60
  engine: wiredTiger
  journal:
    enabled: true
    commitIntervalMs: 100
  wiredTiger:
    engineConfig:
      cacheSizeGB: 4
</code></pre>
<p>基于上述模板，用户可以根据自己的实际情况稍加修改，主要关注如下参数</p>
<table>
<thead>
<tr>
<th>参数</th>
<th>含义</th>
<th>说明</th>
</tr>
</thead>
<tbody>
<tr>
<td>systemLog.verbosity</td>
<td>日志级别</td>
<td>建议设置为0，如想记录更多debug信息，可修改该值为1-5，越大日志越详细</td>
</tr>
<tr>
<td>net.bindIp</td>
<td>监听的ip地址列表</td>
<td>默认监听所有的ip，如果有多块网卡，可以选择性的绑定，以限制不可信的网络访问</td>
</tr>
<tr>
<td>net.port</td>
<td>监听断开</td>
<td>默认27017，根据需要定制</td>
</tr>
<tr>
<td>net.maxIncomingConnections</td>
<td>最大连接数</td>
<td>根据需要配置，保证系统最大文件句柄数大于该值（ulimit -n）</td>
</tr>
<tr>
<td>operationProfiling.slowOpThresholdMs</td>
<td>慢请求阈值</td>
<td>如无特殊需求，建议使用默认的100ms，超过该值的请求会记录到对应db的system.profile集合里</td>
</tr>
<tr>
<td>replication.replSetName</td>
<td>复制集名字</td>
<td>强烈建议部署复制集提供服务，名字随便定制</td>
</tr>
<tr>
<td>replication.oplogSizeMB</td>
<td>oplog大小</td>
<td>默认为磁盘空间5%，无特殊需求建议保持默认值</td>
</tr>
<tr>
<td>security.authorization</td>
<td>是否开启鉴权</td>
<td>强烈建议开启</td>
</tr>
<tr>
<td>security.keyFile</td>
<td>复制集内部鉴权的keyfile路径</td>
<td>复制集要开启鉴权，必须配置<a href="https://docs.mongodb.com/v3.2/tutorial/enforce-keyfile-access-control-in-existing-replica-set/" rel="external nofollow noreferrer">keyfile</a>，用于复制集成员间的鉴权</td>
</tr>
<tr>
<td>security.javascriptEnabled</td>
<td>是否支持server端js，比如$where、mapreduce需要server端js的支持</td>
<td>如无必要，建议关闭</td>
</tr>
<tr>
<td>storage.directoryPerDB</td>
<td>每个db一个单独的目录存储</td>
<td>强烈建议，以充分发挥文件系统优势</td>
</tr>
<tr>
<td>storage.engine</td>
<td>存储引擎</td>
<td>强烈建议使用wiredtiger，低成本 + 高性能</td>
</tr>
<tr>
<td>storage.wiredTiger.engineConfig.engineConfig</td>
<td>wireditger cache大小</td>
<td>默认 max(1, 0.6 * RAM)</td>
</tr>
<tr>
<td>storage.journal.enabled</td>
<td>是否开启journal</td>
<td>强烈建议开启</td>
</tr>
<tr>
<td>storage.journal.commitIntervalMs</td>
<td>journal 刷盘间隔</td>
<td>默认100ms，建议保持默认值</td>
</tr>
</tbody>
</table>
<p>上述参数，对于不确定含义或拿不准的参数可以直接使用默认值 （配置项行首加 # 即可注释掉配置）。</p>
<p>使用上述模板启动 MongoDB 服务后，用户可以先通过localhost/127.0.0.1来连接 MongoDB，<a href="https://docs.mongodb.com/v3.2/core/security-users/" rel="external nofollow noreferrer">建立第一个管理用户</a>，接下来就可以用管理用户登录做进一步的操作。</p>
<p>要想让MongoDB发挥最佳的效果，了解其各项配置含义来优化配置是非常有必要的，如果想完全免去数据库运维的烦恼，专注于业务开发，则可直接使用阿里云数据库MongoDB版，主要特性包括：</p>
<ul>
<li>完全兼容MongoDB 3.2版本，开启鉴权、保证数据库安全</li>
<li>3节点复制集，保证数据高可靠、服务高可用，即将推出分片集群（MongoDB Sharded Cluster）</li>
<li>提供全量、增量备份功能，即使数据被误删，也能恢复到任意时间点</li>
<li>提供数据库操作审计功能，用户的所有操作都记录审计日志，有据可查</li>
<li>支持VPC环境，支持用户白名单功能</li>
<li>...</li>
</ul>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19mOGFkZGZjY2RkMWFkN2Q0NmNjZTZmYzNjNTYzNmEwYi5wbmc=.jpg">云数据库 MongoDB 版</p>
<p>基于飞天分布式系统和高性能存储，提供三节点副本集的高可用架构，容灾切换，故障迁移完全透明化。并提供专业的数据库在线扩容、备份回滚、性能优化等解决方案。</p>
<p>了解更多</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 04:15:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/mongodb/" title="mongodb">mongodb</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93mongodb%e7%89%88/" title="云数据库MongoDB版">云数据库MongoDB版</a>, <a href="https://www.iamivan.net/tag/security/" title="Security">Security</a>, <a href="https://www.iamivan.net/tag/replication/" title="replication">replication</a>, <a href="https://www.iamivan.net/tag/wiredtiger/" title="wiredtiger">wiredtiger</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MongoDB 安全 checklist 及最优配置模板的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE61EoM.html" rel="bookmark">MongoDB黑客赎金事件解读及防范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				直播回顾视频:https://yq.aliyun.com/edu/lesson/play/552 最近,全球互联网圈子内发生了一件大事:MongoDB数据库被黑事件,被黑掉的MongoDB数据库中所有的数据都内黑客洗劫一空,并留下信息勒索,要求支付比特币来赎回数据.截止到目前,受害者数目还在不断增加.为了更好地解读该事件,首先对MongoDB进行简单介绍,MongoDB数据库是NoSQL的文档型数据库,在DB engines排名中处于第四位.MongoDB最大的优势在于拥有灵活的表结构以及高可用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baq8m2b.html" rel="bookmark">MySQL 5&period;6 &amp;amp&semi; 5&period;7最优配置文件模板&lpar;my&period;ini&rpar;&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Inside君整理了一份最新基于MySQL 5.6和5.7的配置文件模板,基本上可以说覆盖90%的调优选项,用户只需根据自己的服务器配置稍作修改即可,如InnoDB缓冲池的大小.IO能力(innodb_buffer_pool_size,innodb_io_capacity).特别注意,这份配置文件不用修改,可以直接运行在MySQL 5.6和5.7的版本下,这里使用了小小的技巧,具体可看配置文件.如果配置参数存在问题,也可以及时反馈Inside君,我们一起成长. 触发Inside君做这件事情的原因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9EOxgM.html" rel="bookmark">Nodejs&plus;Extjs&plus;Mongodb开发第三天   登录页面&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/M9EOxgM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA5MTAxNTI1MTU3ODE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW5KaGFXNWliM2M9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
						<div class="summary">
				学习新技术最快捷的方式就是做项目.在第一天的环境搭建好后,我就准备基于Nodejs+Extjs+Mongodb来做一个Web系统. 环境搭建:http://blog.csdn.net/jrainbow/article/details/38845639 一.技术选择的原因 1.Nodejs.这个不用说了,就是为了学习这个来的.因为要做的是Web系统,所以选择了Express框架. 2.Extjs.原因也很简单,因为笔者的美工不行,而且之前有使用过Extjs框架.为了更满足自己的银弹心理,这个项目选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwg2jM.html" rel="bookmark">Spring boot 通用配置文件模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring boot 通用配置文件模板   001 # ===================================================================002 # COMMON SPRING BOOT PROPERTIES003 #004 # This sample file is provided as a guideline. Do NOT copy it in its005 # entirety to your own application.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6Agwb.html" rel="bookmark">【整理】MongoDB 企业版提供的 Ops Manager</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				重要的事情说在前头: Ops Manager  只有购买 MongoDB 企业版才能使用!!  ---  DBA 1.0 让 DBA 有更多的主动性和预见性,能够通过询检或者通过脚本发现一些问题:  DBA 2.0 希望 DBA 能够从企业的规划或管理角度出发,能够更合理有效的管理和使用数据:  ---  mongodb OpsManager 的主要特性和优势  据说是,针对数据中心 mongodb 管理的最佳解决方案,能够减少高达 95% 的运营成本:  简易的自动化数据库部署.扩展.升级和任			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQoynp.html" rel="bookmark">如何利用HTML5与MongoDB创建位置感知Web程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在日常生活中,我们都离不开位置识别类应用程序.Foursquare.Facebook等应用程序帮助我们和我们的家人朋友分享当前位置(或者正在参观的景点).而像Google Local这样的应用则帮助我们找到当前位置附近有哪些自己需要的服务设施或业务场所.如此,如果我们需要找到一家离自己最近的咖啡厅,完全可以通过Google Local快速获取建议并立刻动身前往.这不仅大大方便了日常生活,还能够帮助企业将自己的产品推销给更理想的受众群体.无论是对消费者还是对企业,这都堪称完美的双赢局面. 要创建这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N40Bz.html" rel="bookmark">使用Golang&plus;Mongodb打造你的第一个站点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多人推荐MEAN来开发站点.MEAN就是M:mongodb,E:expressjs.A:angular最后的N:nodejs. 但是如果你亲身的体会到了js的嵌套回调的话你就会想换换别的办法了.虽然说可以用promise等框架 破解深深的嵌套,但毕竟不是语言本身支持的. 为什么说用Golang呢?因为Golang是一个有着动态语言的特点的静态语言.语法简单,语法糖就是尽量减少语法. 编译的时候就可以把错误排查掉很多.不用像动态语言那样运行的时候才掉进坑里. 在Golang众多的Web框架中发现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjA56p.html" rel="bookmark">创建Mongodb和ECS并自动添加访问白名单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云数据库 MongoDB版,采用三节点副本集的架构保证服务的高可用.本文介绍如何通过阿里云资源编排服务(ROS),创建一台ECS服务器和一个Mongodb版云数据库,并把ECS加入到Mongodb的访问白名单中. 先试为快,一步创建 &gt;&gt; 创建ECS实例 创建ECS实例的详细说明,请移步 通过资源编排创建一个ECS实例.模板片段如下: { &quot;ROSTemplateFormatVersion&quot; : &quot;2015-09-01&quot;, &quot;Descripti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94jkRb.html" rel="bookmark">spring mongodb 整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				org.springframework.data 1.8.1    spring 4.0.4   mongo-java-driver3.0.0 配置 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;beans xmlns=&quot;http://www.springframework.org/schema/beans&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLS			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXjL4b.html" rel="bookmark" class="title">【OpenCV】椭圆拟合</a>
					<div>
						直接上代码吧: #include &quot;cv.h&quot; #include &quot;highgui.h&quot; int slider_pos=70;//阈值 IplImage *im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW7o7M.html" rel="bookmark" class="title">SQL 修改表的某列为同一值</a>
					<div>
						update 表名 set 列名=想改的值 例子: 数据库表 Card 中的某列名为date ,列中的数据都不相同,把这一列的所有数据都改为2013 update Card set Date=2013					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyEBZM.html" rel="bookmark" class="title">数据库-基本概念</a>
					<div>
						3.1.1 数据(Data)    所谓数据就是描述事物的符号.在我们的日常生活中,数据无所不,在数字.文字.图表.图象.声音等都是数据.人们通过数据来认识世界,交流信息. 3.1.2 数据库(DB  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqPXRb.html" rel="bookmark" class="title">SS：我们为什么一定要研究关键词</a>
					<div>
						刚学做网站的朋友,很容易犯这样的错误.网站一拿到,就跳过所有相关研究,没有策划好关键词就开始做网站了.这种情况,会导致二种结果.一种是自己认为不错的关键词,排名非常好,但流量却非常低;还有一种情况会来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy5EEM.html" rel="bookmark" class="title">文章内容优化关键词的注意事项</a>
					<div>
						内容为王,外链为皇,这是大家都熟知的SEO原理,在内容为王这一点中,内部链接的操作又是广大站长们极其注意的问题,看着许多站长每天忙于写原创文章,并在过程中注意分布关键词.标签.锚文本链接等,让人感觉站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB7g9M.html" rel="bookmark" class="title">VB&period;NET是怎样做到的（五、六）</a>
					<div>
						VB.net是怎样做到的(五)--实现接口 VB.net采用的实现接口的语法是VB5发明的Implements,这个实现接口的语法在当今主流语言中独一无二.比如我有两个接口: Interface In ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ywEvz.html" rel="bookmark" class="title">第四章-文本编辑器的设计（二）&lpar;1&rpar;</a>
					<div>
						4.4.2查找对话框部件 查找对话框部件为应用程序提供查找对话框, 用户可使用查找对话框在文本文件中查找字符串. 可用Execult方法显示查找对话框,如图4.8.应用程序要查找的字符放到FindTe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnkaKz.html" rel="bookmark" class="title">android手机音乐播放器实现歌词同步</a>
					<div>
						  最近在做一款android手机上的音乐播放器,学习到了很多东西,像是Fragment,ActionBar的使用等等,这里就先介绍一下歌词同步的实现问题. 歌词同步的实现思路很简单:获取歌词文件LR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKQ9xp.html" rel="bookmark" class="title">Photoshop沿路径排列文字技巧</a>
					<div>
						期待已久的Photoshop CS终于发布了,这个版本增加了许多令人心动的功能,其中的文字沿路径功能就吸引了  不少人的目光.   下面我们通过一个实例来仔细了解一下这个功能的具体用法.    完成图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDADyOb.html" rel="bookmark" class="title">Win8&period;1系统怎么打开设备管理器</a>
					<div>
						  Win8.1系统怎么打开设备管理器           方法一: 1.首先使用键盘组合键&quot;Win+X&quot;打开快捷菜单, 2.然后在菜单列表中选择&quot;设备管理器&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4O47p.html" rel="bookmark" class="title">WPS表格中删除空白尾页的方法</a>
					<div>
						将wps表格文件切换至&quot;分页预览&quot;视图模式,在表格数据区域的右邻出现&quot;第x页&quot;字样的空白列,该列框线左虚右实,(空白尾页共x-1页),将光标移至该列右侧的粗框线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDLAb.html" rel="bookmark" class="title">python中黄金分割法实现方法</a>
					<div>
						  这篇文章主要介绍了python中黄金分割法实现方法,涉及Python数学计算的相关技巧,需要的朋友可以参考下 ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62X5XM.html" rel="bookmark" class="title">Linux找回丢失磁盘空间的方法</a>
					<div>
						  Linux系统磁盘提示满了,可是磁盘内文件加起来的大小和被占用的大小不一致,这就是磁盘丢失的情况,那么是什么程序占用了磁盘空间?下面小编就给大家介绍下Linux找回丢失磁盘空间的方法. 经常接触l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5owR6b.html" rel="bookmark" class="title">在Python下尝试多线程编程</a>
					<div>
						  这篇文章主要介绍了在Python下多线程编程的尝试,由于GIL的存在,多线程在Python开发领域一直是个热门问题,需要的朋友可以参考下 多任务可以由多进程完成,也可以由一个进程内的多线程完成.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3WrOp.html" rel="bookmark" class="title">linux中利用UnixBench进行性能测试</a>
					<div>
						 UnixBench是一款开源的测试 unix 系统基本性能的工具,是比较通用的测试VPS性能的工具. UnixBench会执行一系列的测试,包括2D和3D图形系统的性能衡量,测试的结果不仅仅只是CP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa038z.html" rel="bookmark" class="title">如何查看win7电脑配置&quest;</a>
					<div>
						  网友问题:新买了一台笔记本电脑,安装的是win7 32位 旗舰版系统,我是信息是我从笔记本上贴的帖子上看到的,如图所示,但是我想从电脑中查看一下电脑配置,看看是否与帖子上所写的信息一致,但是我第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWRwLp.html" rel="bookmark" class="title">哪些软件能帮你抢票回家过年</a>
					<div>
						  无论何时何地购买火车票,退款,应用高速数据来源 12306 官方网站,快速. 及时. 准确的数据同步.下面是推荐一些有用的抢票软件给大家买到票早日回家过年. 12306手机客户端是一个手机端的,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42PaqM.html" rel="bookmark" class="title">Win7小工具Gadgetarian遇见Win10会发生什么呢？</a>
					<div>
						  微软在windows 8立项时就决定放弃Windows 7上的小工具.但这并不是秘密,许多用户仍在试图将这一特色带回到新版的Windows系统中.还想念那些Windows 7上的小工具吗?Gadg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badrNPz.html" rel="bookmark" class="title">linux安装AWStats业务数据分析工具</a>
					<div>
						Awstats是一个非常简洁而且强大的统计工具.它可以统计您站点的如下信息: 一:访问量,访问次数,页面浏览量,点击数,数据流量等精确到每月.每日.每小时的数据 二:访问者国家.访问者IP.操作系统. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaNZLz.html" rel="bookmark" class="title">微软IE10forWin7下载页面的上线</a>
					<div>
						[科技讯]10月22日消息,不少人都曾以为IE10浏览器是Win8系统的专属浏览器,不过就在上周微软宣布也将会为Win7用户提供IE10浏览器,这一消息让Win7的用户们喜出望外.虽然微软称IE10& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7YjNp.html" rel="bookmark" class="title">使用Post方式提交数据到Tomcat服务器的方法&lowbar;java</a>
					<div>
						我在上一篇文章中介绍了 使用Get方式提交数据到Tomcat服务器,这篇将介绍使用Post方式提交数据到服务器,由于Post的方式和Get方式创建Web工程是一模一样的,只用几个地方的代码不同所以,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqLXGb.html" rel="bookmark" class="title">百度联盟标签云广告由商家聚合页转变为竞价搜索页面</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 对于很多草根站长而言,我们的收入来源主要就是广告,为什么?因为我们这样的草根做的网站规模本来就比较小,而且就算我们有独到的运营思路也很难有渠道做一些商业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2maEb.html" rel="bookmark" class="title">各种ESB产品比较&lpar;转&rpar;</a>
					<div>
						介绍了主流商业和开源ESB的发展趋势.可借鉴的地方和其缺点:         主要介绍:       Oracle Service Bus       WebSphere Message Broker ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNR7nz.html" rel="bookmark" class="title">相对路径-jsp上传图片无法显示，路径问题求教</a>
					<div>
						问题描述 jsp上传图片无法显示,路径问题求教 image/1420378242720.jpg image/2.jpg image/3.jpg 如上,第一张图是系统自动生成的图片地址,后面两个是我手动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmVBkM.html" rel="bookmark" class="title">比阿西莫更强大，本田研发人形救灾机器人</a>
					<div>
						2015年本田曾在德国举行的IROS(国际智能机器人与系统大会)上发布了一篇关于用于灾难应对的实验性新型人形机器人的论文.之后,本田很少对外透露该机器人的研发进展.雷锋网(公众号:雷锋网)报道,上周在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK9Prz.html" rel="bookmark" class="title">Nginx搭建反向代理服务器过程详解（转）</a>
					<div>
						一.反向代理 我们都知道,80端口是web服务的默认端口,其他主机访问web服务器也是默认和80端口进行web交互,而一台服务器也只有一个80端口,这是约定俗成的标准. 我们来看下面两个场景: 1.服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKBZoz.html" rel="bookmark" class="title">不迷糊：详解PCI-E与SATA SSD如何选</a>
					<div>
						为什么固态硬盘要采用PCI-E接口 在计算机发展的这60年中,从最初的打孔卡到今天的固态硬盘,存储介质发生了翻天覆地的变化.近几年固态硬盘更是发展迅速,随着固态硬盘生产工艺以及用户对读写速度的追求,越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRaK5b.html" rel="bookmark" class="title">站长必须看看喽</a>
					<div>
						1 .虚拟主机 虚拟主机是目前市场需求最大,同时也是各大IDC 主推的产品.这主是目前互联网上众多小型个人网站所决定的.目前对互联网有一定了解的用户,都希望拥有自己的个人网站,而他们对服务器的各方面要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0WvLp.html" rel="bookmark" class="title">网购选择刷卡快递只认现金</a>
					<div>
						晨报96101热线新闻(记者岳亦雷实习记者雷娟丽)付女士在京东商城(微博)下单购物时选择POS机刷卡,但快递上门后却称只能付现金.之后,快递员私自将货物退回,由此造成付女士至今未拿到货.昨天,京东 客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLZnaM.html" rel="bookmark" class="title">winfrom判断用户在线</a>
					<div>
						问题描述 内容:这个项目没有写服务端,是直接连接的SQL服务,开始是用一张表来控制一个用户是否在线,但是,一旦客户端出现未响应的情况,判断是否在线的那个字段,不会因关闭软件而更改字段. 解决方案 解决 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
